import React, { Component } from 'react';
import './App.css';

class App extends Component {

    constructor(props) {
        super(props)
        this.state = {
            selectedTab: 0,
        }
        this.toolBarTabs = []
    }

    componentDidMount() {
        // invoke REST request methods
    }

    handleToolBarClick(ind) {
        if (ind !== this.state.selectedTab) {
            this.toolBarTabs[ind].classList.add("current")
            this.toolBarTabs[this.state.selectedTab].classList.remove("current")
            this.setState({
                selectedTab: ind
            })
        }
    }

    renderAppBody() {
        var selectedTab = this.state.selectedTab
        if (selectedTab === 0) {
            return (
                <div>
                    <h1>View</h1>
                </div>
            )
        } else if (selectedTab === 1) {
            return (
                <div>
                    <h1>Edit</h1>
                </div>
            )
        } else if (selectedTab === 2) {
            return (
                <div>
                    <h1>Add</h1>
                </div>
            )
        } else  {
            return (
                <div>
                    <h1>Deleted</h1>
                </div>
            )
        }
    }

    render() {
        var selectedTab = this.state.selectedTab
        return (
            <div className="App">
                <div>
                    <ul className="navIntraTool actionToolBar">
                        <li role="presentation">
                            <span className="current" onClick={() => this.handleToolBarClick(0)} ref={(node) => this.toolBarTabs[0] = node}>
                                {selectedTab === 0 ? "View" : <a>View</a>}
                            </span>
                        </li>
                        <li role="presentation">
                            <span onClick={() => this.handleToolBarClick(1)} ref={(node) => this.toolBarTabs[1] = node}>
                                {selectedTab === 1 ? "Add" : <a>Add</a>}
                            </span>
                        </li>
                        <li role="presentation">
                            <span onClick={() => this.handleToolBarClick(2)} ref={(node) => this.toolBarTabs[2] = node}>
                                {selectedTab === 2 ? "Edit" : <a>Edit</a>}
                            </span>
                        </li>
                        <li role="presentation">
                            <span onClick={() => this.handleToolBarClick(3)} ref={(node) => this.toolBarTabs[3] = node}>
                                {selectedTab === 3 ? "Delete" : <a>Delete</a>}
                            </span>
                        </li>
                    </ul>
                </div>
                <div className ="app-body">
                    {this.renderAppBody()}
                </div>
            </div>
        );
    }
}

export default App